package com.cim.idm.wmspackage.invoice.management.data;

import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.DataInfo;
import com.cim.idm.framework.orm.info.UserColumnMark;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class MaterialReceiveRequest extends FieldAccessor implements DataInfo<MaterialReceiveRequestKey> {

	private MaterialReceiveRequestKey key;
	private String receiveRequestType;
	private String systemType;
	private String purchaseOrderGroup; 
	private String receiveRequestState;
	@UserColumnMark 
	private String supplierNO;	
	private String oemSiteName;
	private String oemSiteInCharge;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String erpPoName;
	private String saveReason;
	private String respPerson;
	private String respDepart;
	private Timestamp solveTime;
	private String passState;
	private String deliveryName;

	/**
	 * 2024.09.26 新增
	 */
	private String bedat;

    public String getBedat() {
        return bedat;
    }

    public void setBedat(String bedat) {
        this.bedat = bedat;
    }
	
	
	public String getPassState() {
		return passState;
	}

	public void setPassState(String passState) {
		this.passState = passState;
	}

	public MaterialReceiveRequest() {
	}

	public MaterialReceiveRequestKey getKey() {
		return key;
	}

	public void setKey(MaterialReceiveRequestKey key) {
		this.key = key;
	}

	public String getReceiveRequestType() {
		return receiveRequestType;
	}

	public void setReceiveRequestType(String receiveRequestType) {
		this.receiveRequestType = receiveRequestType;
	}

	public String getSystemType() {
		return systemType;
	}

	public String getErpPoName() {
		return erpPoName;
	}

	public void setErpPoName(String erpPoName) {
		this.erpPoName = erpPoName;
	}

	public void setSystemType(String systemType) {
		this.systemType = systemType;
	}

	public String getPurchaseOrderGroup() {
		return purchaseOrderGroup;
	}

	public void setPurchaseOrderGroup(String purchaseOrderGroup) {
		this.purchaseOrderGroup = purchaseOrderGroup;
	}

	public String getReceiveRequestState() {
		return receiveRequestState;
	}

	public void setReceiveRequestState(String receiveRequestState) {
		this.receiveRequestState = receiveRequestState;
	}

	public String getSupplierNO() {
		return supplierNO;
	}

	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}

	public String getOemSiteName() {
		return oemSiteName;
	}

	public void setOemSiteName(String oemSiteName) {
		this.oemSiteName = oemSiteName;
	}

	public String getOemSiteInCharge() {
		return oemSiteInCharge;
	}

	public void setOemSiteInCharge(String oemSiteInCharge) {
		this.oemSiteInCharge = oemSiteInCharge;
	}



	public String getLastEventName() {
		return lastEventName;
	}

	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}



	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}

	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}

	public Timestamp getLastEventTime() {
		return lastEventTime;
	}

	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}

	public String getLastEventUser() {
		return lastEventUser;
	}

	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}

	public String getLastEventComment() {
		return lastEventComment;
	}

	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getSaveReason() {
		return saveReason;
	}

	public void setSaveReason(String saveReason) {
		this.saveReason = saveReason;
	}
	
	public String getRespPerson() {
		return respPerson;
	}

	public void setRespPerson(String respPerson) {
		this.respPerson = respPerson;
	}
	public String getRespDepart() {
		return respDepart;
	}
	public void setRespDepart(String respDepart) {
		this.respDepart = respDepart;
	}
	public Timestamp getSolveTime() {
		return solveTime;
	}

	public void setSolveTime(Timestamp solveTime) {
		this.solveTime = solveTime;
	}

	public String getDeliveryName() {
		return deliveryName;
	}

	public void setDeliveryName(String deliveryName) {
		this.deliveryName = deliveryName;
	}
}
